GET api/ClinicReport/GetTotalVisitsPerRoomReport?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfMainRoomDataDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of MainRoomDataDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"EncounterDate": "2026-08-04T06:19:20.1165422-07:00",
"DateToShow": "sample string 2",
"ListSingleRoom": [
{
"RoomId": 1,
"Count": 2,
"RoomName": "sample string 3"
},
{
"RoomId": 1,
"Count": 2,
"RoomName": "sample string 3"
}
]
},
{
"EncounterDate": "2026-08-04T06:19:20.1165422-07:00",
"DateToShow": "sample string 2",
"ListSingleRoom": [
{
"RoomId": 1,
"Count": 2,
"RoomName": "sample string 3"
},
{
"RoomId": 1,
"Count": 2,
"RoomName": "sample string 3"
}
]
}
],
"totalCount": 3
}